package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.ObjDike;
import org.apache.ibatis.annotations.Mapper;

/** 堤防对象 Mapper */
@Mapper
public interface ObjDikeMapper {
    /**
     * 查询堤防对象列表
     * 
     * @param objDike 查询条件
     * @return 堤防对象列表
     */
    public List<ObjDike> selectObjDikeList(ObjDike objDike);

    /**
     * 通过编码查询堤防对象
     * 
     * @param dikeCode 堤防编码
     * @return 堤防对象
     */
    public ObjDike selectObjDikeById(String dikeCode);

    /**
     * 通过编码删除堤防对象
     * 
     * @param dikeCode 堤防编码
     * @return 影响行数
     */
    public int deleteObjDikeById(String dikeCode);

    /**
     * 新增堤防对象
     * 
     * @param objDike 堤防对象
     * @return 影响行数
     */
    public int insertObjDike(ObjDike objDike);

    /**
     * 修改堤防对象
     * 
     * @param objDike 堤防对象
     * @return 影响行数
     */
    public int updateObjDike(ObjDike objDike);
}
